/* luafaudes_func.hpp - Lua bindings for the FAUDES functions */

/* luafaudes - FAUDES Bindings for Lua

   Copyright (C) 2006 Bernd Opitz
   Exclusive copyright is granted to the Lehrstuhl fuer Regelungstechnik
   at the University of Erlangen-Nuernberg, Germany

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. */


#ifndef LUAFAUDES_FUNC_H
#define LUAFAUDES_FUNC_H

#include "luafaudes_common.hpp"
#include "luafaudes_gen_class.hpp"
#include "luafaudes_eset_class.hpp"



int Accessible(lua_State* L);
int IsAccessible(lua_State* L);
int Coaccessible(lua_State* L);
int IsCoaccessible(lua_State* L);
int Trim(lua_State* L);
int IsTrim(lua_State* L);
int IsControllable(lua_State* L);
int IsControllableResultToString(lua_State* L);
int Deterministic(lua_State* L);
int Project(lua_State* L);
int ProjectNonDet(lua_State* L);
int InvProject(lua_State* L);
int IsDeterministic(lua_State* L);
int LanguageComplement(lua_State* L);
int LanguageConcatenate(lua_State* L);
int LanguageConcatenateNonDet(lua_State* L);
int LanguageEquality(lua_State* L);
int LanguageInclusion(lua_State* L);
int LanguageIntersection(lua_State* L);
int LanguageUnion(lua_State* L);
int LanguageUnionNonDet(lua_State* L);
int FullLanguage(lua_State* L);
int Parallel(lua_State* L);
int Project(lua_State* L);
int StateMin(lua_State* L);
int HelpFunctions(lua_State* L);
int SupCon(lua_State* L);
int SupConNB(lua_State* L);
int EventSetUnion(lua_State* L);
int EventSetIntersection(lua_State* L);
int EventSetDifference(lua_State* L);



void RegisterGeneratorFunctions(lua_State* L);

#endif



